- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# BcpsSubTree Class Reference

This class is the data structure for storing a subtree within BCPS. More...

`#include <BcpsSubTree.h>`

Inheritance diagram for BcpsSubTree:

[legend]
Collaboration diagram for BcpsSubTree:

[legend]
List of all members.

## Public Member Functions
| BcpsSubTree ()
virtual | ~BcpsSubTree ()
BcpsConstraintPool * | getConstraintPool () const
BcpsVariablePool * | getVariablePool () const
## Private Attributes
BcpsConstraintPool * | constraintPool_
| This is the list of objects that exist in the subtree.
BcpsVariablePool * | variablePool_

## Detailed Description

This class is the data structure for storing a subtree within BCPS.

The biggest addition to the fields that already exist withink ALPS is the storage for the global list of objects that are active within that subtree. Initally, this will be implemeted as a std::set, but later on should be changed to something more efficient such as a hash table or something like that.

Definition at line 42 of file BcpsSubTree.h.

## Constructor & Destructor Documentation

BcpsSubTree::BcpsSubTree | ( |  | ) | `[inline]`

Definition at line 49 of file BcpsSubTree.h.

virtual BcpsSubTree::~BcpsSubTree | ( |  | ) | `[inline, virtual]`

Definition at line 54 of file BcpsSubTree.h.

References constraintPool_, and variablePool_.

## Member Function Documentation

BcpsConstraintPool* BcpsSubTree::getConstraintPool | ( |  | ) | const`[inline]`

Definition at line 60 of file BcpsSubTree.h.

References constraintPool_.

BcpsVariablePool* BcpsSubTree::getVariablePool | ( |  | ) | const`[inline]`

Definition at line 65 of file BcpsSubTree.h.

References variablePool_.

## Member Data Documentation

BcpsConstraintPool* BcpsSubTree::constraintPool_`[private]`

This is the list of objects that exist in the subtree.

Definition at line 45 of file BcpsSubTree.h.

Referenced by getConstraintPool(), and ~BcpsSubTree().

BcpsVariablePool* BcpsSubTree::variablePool_`[private]`

Definition at line 46 of file BcpsSubTree.h.

Referenced by getVariablePool(), and ~BcpsSubTree().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Blis-0.91.0/Bcps/src/BcpsSubTree.h